--
-- Selected TOC Entries:
--
\connect - akm
--
-- TOC Entry ID 12 (OID 18721)
--
-- Name: tmp_pg_shadow Type: TABLE Owner: akm
--

CREATE TABLE "tmp_pg_shadow" (
	"datdba" integer
);

--
-- TOC Entry ID 2 (OID 18736)
--
-- Name: projects_projectid_seq Type: SEQUENCE Owner: akm
--

CREATE SEQUENCE "projects_projectid_seq" start 1 increment 1 maxvalue 2147483647 minvalue 1  cache 1 ;

--
-- TOC Entry ID 4 (OID 18755)
--
-- Name: engineers_user_id_seq Type: SEQUENCE Owner: akm
--

CREATE SEQUENCE "engineers_user_id_seq" start 1 increment 1 maxvalue 2147483647 minvalue 1  cache 1 ;

--
-- TOC Entry ID 6 (OID 18774)
--
-- Name: workorders_wid_seq Type: SEQUENCE Owner: akm
--

CREATE SEQUENCE "workorders_wid_seq" start 1 increment 1 maxvalue 2147483647 minvalue 1  cache 1 ;

--
-- TOC Entry ID 8 (OID 18793)
--
-- Name: projectcomponen_componentid_seq Type: SEQUENCE Owner: akm
--

CREATE SEQUENCE "projectcomponen_componentid_seq" start 1 increment 1 maxvalue 2147483647 minvalue 1  cache 1 ;

--
-- TOC Entry ID 10 (OID 18812)
--
-- Name: passwd_uid_seq Type: SEQUENCE Owner: akm
--

CREATE SEQUENCE "passwd_uid_seq" start 1 increment 1 maxvalue 2147483647 minvalue 1  cache 1 ;

--
-- TOC Entry ID 13 (OID 18831)
--
-- Name: projects Type: TABLE Owner: akm
--

CREATE TABLE "projects" (
	"projectid" integer DEFAULT nextval('projects_projectid_seq'::text) NOT NULL,
	"project_code" character varying(32) NOT NULL,
	"project_name" character varying(128) NOT NULL,
	"project_manager" character varying(64),
	"description" text,
	Constraint "projects_pkey" Primary Key ("projectid")
);

--
-- TOC Entry ID 14 (OID 18864)
--
-- Name: engineers Type: TABLE Owner: akm
--

CREATE TABLE "engineers" (
	"user_id" integer DEFAULT nextval('engineers_user_id_seq'::text) NOT NULL,
	"login" character varying(64) NOT NULL,
	"name" character varying(128) NOT NULL,
	"email" character varying(128) NOT NULL,
	Constraint "engineers_pkey" Primary Key ("user_id")
);

--
-- TOC Entry ID 15 (OID 18881)
--
-- Name: workorders Type: TABLE Owner: akm
--

CREATE TABLE "workorders" (
	"wid" integer DEFAULT nextval('workorders_wid_seq'::text) NOT NULL,
	"pid" character varying(32) NOT NULL,
	"headline" character varying(80) NOT NULL,
	"priority" integer NOT NULL,
	"description" text NOT NULL,
	"work_type" character varying(32) NOT NULL,
	"status" character varying(4) NOT NULL,
	"submitted_by" integer NOT NULL,
	"submitted_on" date NOT NULL,
	"assigned_to" integer,
	"assigned_by" integer,
	"estimated_start" date,
	"estimated_end" date,
	"actual_start" date,
	"actual_end" date,
	"analysed_on" date,
	"analysed_by" integer,
	"analysis" text,
	"resolved_on" date,
	"resolved_by" integer,
	"resolution" text,
	"verified_on" date,
	"verified_by" integer,
	"closed_on" date,
	"closed_by" integer,
	"rejected_on" date,
	"rejected_by" integer,
	"rejection" text,
	"projectcomponent" integer,
	Constraint "workorders_pkey" Primary Key ("wid")
);

--
-- TOC Entry ID 16 (OID 18938)
--
-- Name: priorities Type: TABLE Owner: akm
--

CREATE TABLE "priorities" (
	"priority" integer NOT NULL,
	"name" character varying(64) NOT NULL,
	Constraint "priorities_pkey" Primary Key ("priority")
);

--
-- TOC Entry ID 17 (OID 18952)
--
-- Name: state_transitions Type: TABLE Owner: akm
--

CREATE TABLE "state_transitions" (
	"start_state" character varying(1),
	"end_state" character varying(1)
);

--
-- TOC Entry ID 18 (OID 18963)
--
-- Name: states Type: TABLE Owner: akm
--

CREATE TABLE "states" (
	"state" character varying(1) NOT NULL,
	"state_verb" character varying(32) NOT NULL,
	"state_name" character varying(32) NOT NULL,
	Constraint "states_pkey" Primary Key ("state")
);

--
-- TOC Entry ID 19 (OID 18978)
--
-- Name: projectcomponents Type: TABLE Owner: akm
--

CREATE TABLE "projectcomponents" (
	"componentid" integer DEFAULT nextval('projectcomponen_componentid_seq'::text) NOT NULL,
	"pid" character varying(32) NOT NULL,
	"componentname" character varying(64) NOT NULL,
	"componentmanager" integer NOT NULL,
	Constraint "projectcomponents_pkey" Primary Key ("componentid")
);

--
-- TOC Entry ID 20 (OID 18995)
--
-- Name: passwd Type: TABLE Owner: akm
--

CREATE TABLE "passwd" (
	"uid" integer DEFAULT nextval('passwd_uid_seq'::text) NOT NULL,
	"username" character varying(64) NOT NULL,
	"password" character varying(64) NOT NULL,
	"gid" integer,
	"class" integer,
	"gecos" character varying(256) NOT NULL,
	"home_dir" character varying(1024),
	"roles" text,
	Constraint "passwd_pkey" Primary Key ("uid")
);

--
-- Data for TOC Entry ID 23 (OID 18721) TABLE DATA tmp_pg_shadow
--

COPY "tmp_pg_shadow"  FROM stdin;
70
\.
--
-- Data for TOC Entry ID 24 (OID 18831) TABLE DATA projects
--

COPY "projects"  FROM stdin;
\.
--
-- Data for TOC Entry ID 25 (OID 18864) TABLE DATA engineers
--

COPY "engineers"  FROM stdin;
1	akm	Andrew Milton	akm@theinternet.com.au
5	fred	Fred Smith	akm@theinternet.com.au
\.
--
-- Data for TOC Entry ID 26 (OID 18881) TABLE DATA workorders
--

COPY "workorders"  FROM stdin;
12	P0001	Test Bug	1	This is a test bug, to test adding of bugs by Engineers.	New Work	N	5	2001-03-06	5	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
13	P0001	Testing PM Email	3	This is a test bug at URGENT level	Trouble Report	N	1	2001-03-06	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
8	P0001	Blah	1	More Blah	Change Request	A	1	2001-02-16	1	1	2001-03-01	2001-03-30	2001-02-21	\N	2001-02-21	1	We like to chew blahs, so we should chew them some more.
\
And then after we chew them we should spit them out.	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
14	P0001	Second Email Test	1	This a secondary test of the tracking system.	Trouble Report	N	1	2001-03-06	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
16	P0001	Fred Needs to Send Bugs	4	Fred needs to create bugs for the consumption of others	Trouble Report	N	5	2001-03-06	5	1	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
\.
--
-- Data for TOC Entry ID 27 (OID 18938) TABLE DATA priorities
--

COPY "priorities"  FROM stdin;
1	Showstopper
2	Urgent
3	Standard
4	Trivial
5	Optional
\.
--
-- Data for TOC Entry ID 28 (OID 18952) TABLE DATA state_transitions
--

COPY "state_transitions"  FROM stdin;
N	O
O	A
A	R
R	V
V	C
\.
--
-- Data for TOC Entry ID 29 (OID 18963) TABLE DATA states
--

COPY "states"  FROM stdin;
N	New	New
O	Open	Opened
A	Analyse	Analysed
R	Resolve	Resolved
V	Verify	Verified
C	Close	Closed
\.
--
-- Data for TOC Entry ID 30 (OID 18978) TABLE DATA projectcomponents
--

COPY "projectcomponents"  FROM stdin;
1	P0001	Billing System	1
\.
--
-- Data for TOC Entry ID 31 (OID 18995) TABLE DATA passwd
--

COPY "passwd"  FROM stdin;
0	akm	ak4OMZUfu/bxg	0	0	Andrew Milton,,,	Users/akm	Manager,Owner
3	fred	frxWbx4IRuBBA	\N	\N	Auto-generated Engineer	\N	Engineer
\.
--
-- TOC Entry ID 21 (OID 18864)
--
-- Name: "engineers_login_key" Type: INDEX Owner: akm
--

CREATE UNIQUE INDEX "engineers_login_key" on "engineers" using btree ( "login" "varchar_ops" );

--
-- TOC Entry ID 22 (OID 18995)
--
-- Name: "passwd_username_key" Type: INDEX Owner: akm
--

CREATE UNIQUE INDEX "passwd_username_key" on "passwd" using btree ( "username" "varchar_ops" );

--
-- TOC Entry ID 32 (OID 19064)
--
-- Name: "RI_ConstraintTrigger_19063" Type: TRIGGER Owner: akm
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER DELETE ON "engineers"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('<unnamed>', 'workorders', 'engineers', 'UNSPECIFIED', 'assigned_to', 'user_id');

--
-- TOC Entry ID 33 (OID 19066)
--
-- Name: "RI_ConstraintTrigger_19065" Type: TRIGGER Owner: akm
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER UPDATE ON "engineers"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('<unnamed>', 'workorders', 'engineers', 'UNSPECIFIED', 'assigned_to', 'user_id');

--
-- TOC Entry ID 34 (OID 19068)
--
-- Name: "RI_ConstraintTrigger_19067" Type: TRIGGER Owner: akm
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER DELETE ON "engineers"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('<unnamed>', 'workorders', 'engineers', 'UNSPECIFIED', 'assigned_by', 'user_id');

--
-- TOC Entry ID 35 (OID 19070)
--
-- Name: "RI_ConstraintTrigger_19069" Type: TRIGGER Owner: akm
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER UPDATE ON "engineers"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('<unnamed>', 'workorders', 'engineers', 'UNSPECIFIED', 'assigned_by', 'user_id');

--
-- TOC Entry ID 36 (OID 19072)
--
-- Name: "RI_ConstraintTrigger_19071" Type: TRIGGER Owner: akm
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER DELETE ON "engineers"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('<unnamed>', 'workorders', 'engineers', 'UNSPECIFIED', 'analysed_by', 'user_id');

--
-- TOC Entry ID 37 (OID 19074)
--
-- Name: "RI_ConstraintTrigger_19073" Type: TRIGGER Owner: akm
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER UPDATE ON "engineers"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('<unnamed>', 'workorders', 'engineers', 'UNSPECIFIED', 'analysed_by', 'user_id');

--
-- TOC Entry ID 38 (OID 19076)
--
-- Name: "RI_ConstraintTrigger_19075" Type: TRIGGER Owner: akm
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER DELETE ON "engineers"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('<unnamed>', 'workorders', 'engineers', 'UNSPECIFIED', 'resolved_by', 'user_id');

--
-- TOC Entry ID 39 (OID 19078)
--
-- Name: "RI_ConstraintTrigger_19077" Type: TRIGGER Owner: akm
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER UPDATE ON "engineers"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('<unnamed>', 'workorders', 'engineers', 'UNSPECIFIED', 'resolved_by', 'user_id');

--
-- TOC Entry ID 40 (OID 19080)
--
-- Name: "RI_ConstraintTrigger_19079" Type: TRIGGER Owner: akm
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER DELETE ON "engineers"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('<unnamed>', 'workorders', 'engineers', 'UNSPECIFIED', 'verified_by', 'user_id');

--
-- TOC Entry ID 41 (OID 19082)
--
-- Name: "RI_ConstraintTrigger_19081" Type: TRIGGER Owner: akm
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER UPDATE ON "engineers"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('<unnamed>', 'workorders', 'engineers', 'UNSPECIFIED', 'verified_by', 'user_id');

--
-- TOC Entry ID 42 (OID 19084)
--
-- Name: "RI_ConstraintTrigger_19083" Type: TRIGGER Owner: akm
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER DELETE ON "engineers"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('<unnamed>', 'workorders', 'engineers', 'UNSPECIFIED', 'closed_by', 'user_id');

--
-- TOC Entry ID 43 (OID 19086)
--
-- Name: "RI_ConstraintTrigger_19085" Type: TRIGGER Owner: akm
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER UPDATE ON "engineers"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('<unnamed>', 'workorders', 'engineers', 'UNSPECIFIED', 'closed_by', 'user_id');

--
-- TOC Entry ID 44 (OID 19088)
--
-- Name: "RI_ConstraintTrigger_19087" Type: TRIGGER Owner: akm
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER DELETE ON "engineers"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('<unnamed>', 'workorders', 'engineers', 'UNSPECIFIED', 'rejected_by', 'user_id');

--
-- TOC Entry ID 45 (OID 19090)
--
-- Name: "RI_ConstraintTrigger_19089" Type: TRIGGER Owner: akm
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER UPDATE ON "engineers"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('<unnamed>', 'workorders', 'engineers', 'UNSPECIFIED', 'rejected_by', 'user_id');

--
-- TOC Entry ID 46 (OID 19092)
--
-- Name: "RI_ConstraintTrigger_19091" Type: TRIGGER Owner: akm
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER INSERT OR UPDATE ON "workorders"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('<unnamed>', 'workorders', 'engineers', 'UNSPECIFIED', 'assigned_to', 'user_id');

--
-- TOC Entry ID 47 (OID 19094)
--
-- Name: "RI_ConstraintTrigger_19093" Type: TRIGGER Owner: akm
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER INSERT OR UPDATE ON "workorders"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('<unnamed>', 'workorders', 'engineers', 'UNSPECIFIED', 'assigned_by', 'user_id');

--
-- TOC Entry ID 48 (OID 19096)
--
-- Name: "RI_ConstraintTrigger_19095" Type: TRIGGER Owner: akm
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER INSERT OR UPDATE ON "workorders"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('<unnamed>', 'workorders', 'engineers', 'UNSPECIFIED', 'analysed_by', 'user_id');

--
-- TOC Entry ID 49 (OID 19098)
--
-- Name: "RI_ConstraintTrigger_19097" Type: TRIGGER Owner: akm
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER INSERT OR UPDATE ON "workorders"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('<unnamed>', 'workorders', 'engineers', 'UNSPECIFIED', 'resolved_by', 'user_id');

--
-- TOC Entry ID 50 (OID 19100)
--
-- Name: "RI_ConstraintTrigger_19099" Type: TRIGGER Owner: akm
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER INSERT OR UPDATE ON "workorders"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('<unnamed>', 'workorders', 'engineers', 'UNSPECIFIED', 'verified_by', 'user_id');

--
-- TOC Entry ID 51 (OID 19102)
--
-- Name: "RI_ConstraintTrigger_19101" Type: TRIGGER Owner: akm
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER INSERT OR UPDATE ON "workorders"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('<unnamed>', 'workorders', 'engineers', 'UNSPECIFIED', 'closed_by', 'user_id');

--
-- TOC Entry ID 52 (OID 19104)
--
-- Name: "RI_ConstraintTrigger_19103" Type: TRIGGER Owner: akm
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER INSERT OR UPDATE ON "workorders"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('<unnamed>', 'workorders', 'engineers', 'UNSPECIFIED', 'rejected_by', 'user_id');

--
-- TOC Entry ID 53 (OID 19106)
--
-- Name: "RI_ConstraintTrigger_19105" Type: TRIGGER Owner: akm
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER DELETE ON "states"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('<unnamed>', 'state_transitions', 'states', 'UNSPECIFIED', 'start_state', 'state');

--
-- TOC Entry ID 54 (OID 19108)
--
-- Name: "RI_ConstraintTrigger_19107" Type: TRIGGER Owner: akm
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER UPDATE ON "states"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('<unnamed>', 'state_transitions', 'states', 'UNSPECIFIED', 'start_state', 'state');

--
-- TOC Entry ID 55 (OID 19110)
--
-- Name: "RI_ConstraintTrigger_19109" Type: TRIGGER Owner: akm
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER DELETE ON "states"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('<unnamed>', 'state_transitions', 'states', 'UNSPECIFIED', 'end_state', 'state');

--
-- TOC Entry ID 56 (OID 19112)
--
-- Name: "RI_ConstraintTrigger_19111" Type: TRIGGER Owner: akm
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER UPDATE ON "states"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('<unnamed>', 'state_transitions', 'states', 'UNSPECIFIED', 'end_state', 'state');

--
-- TOC Entry ID 3 (OID 18736)
--
-- Name: projects_projectid_seq Type: SEQUENCE SET Owner: 
--

SELECT setval ('"projects_projectid_seq"', 1, 'f');

--
-- TOC Entry ID 5 (OID 18755)
--
-- Name: engineers_user_id_seq Type: SEQUENCE SET Owner: 
--

SELECT setval ('"engineers_user_id_seq"', 5, 't');

--
-- TOC Entry ID 7 (OID 18774)
--
-- Name: workorders_wid_seq Type: SEQUENCE SET Owner: 
--

SELECT setval ('"workorders_wid_seq"', 16, 't');

--
-- TOC Entry ID 9 (OID 18793)
--
-- Name: projectcomponen_componentid_seq Type: SEQUENCE SET Owner: 
--

SELECT setval ('"projectcomponen_componentid_seq"', 1, 't');

--
-- TOC Entry ID 11 (OID 18812)
--
-- Name: passwd_uid_seq Type: SEQUENCE SET Owner: 
--

SELECT setval ('"passwd_uid_seq"', 3, 't');

